Subject: Early Ontario butterfly sightings

From: [email-masked] (kandee kosior)
Date: Mon, 25 Mar 1996 22:39:26 GMT

The Toronto Rare Bird Hotline on Friday, March 22, 1996, reported that
Compton's tourtoise shell and mourning cloak butterflies were found the
previous Sunday near the Humber River in Toronto. The hotline is managed
by Toronto birder Hugh Currie, president of the Toronto Ornithological
Club.

Don Davis

[email-masked],internet